import {
	WeaTools
} from 'ecCom'

export const getAuth = (params) => {
	return WeaTools.callApi('/api/hrm/usedemand/getHasRight', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/usedemand/getRightMenu', 'GET', params);
}

export const getSearchItems = (params) => {
	return WeaTools.callApi('/api/hrm/usedemand/getSearchCondition', 'GET', params);
}

export const deleteTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/usedemand/delete', 'POST', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/usedemand/getSearchList', 'GET', params);
}

export const getFormInfo = (params) => {
	return WeaTools.callApi('/api/hrm/usedemand/getUseDemandForm', 'GET', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/usedemand/add', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/usedemand/edit', 'POST', params);
}